Bug 234484 - Review Request: dtc - device tree compiler
Summary: Review Request: dtc - device tree compiler
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
: 246186 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-03-29 16:18 UTC by Arnd Bergmann
Modified: 2013-01-10 12:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 13:11:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Arnd Bergmann 2007-03-29 16:18:23 UTC
Spec URL: http://www.lazybastard.org/~arnd/dtc.git
SRPM URL: http://www.lazybastard.org/~arnd/dtc-0.20070329git-1.src.rpm
Description:
dtc is used to convert Open Firmware like devices tree between
different formats, including the Linux /proc/device-tree layout,
the binary representation used as the interface between boot
loaders on PowerPC Linux, and dtc's own format.

Comment 1 Arnd Bergmann 2007-03-29 16:19:17 UTC
spec url should have been http://www.lazybastard.org/~arnd/dtc.spec, not 
dtc.git

Comment 2 David Woodhouse 2007-03-29 16:31:35 UTC
Change the Group and it looks OK. Approved. 

Comment 3 Arnd Bergmann 2007-03-29 16:38:02 UTC
the srpm should have been 
http://www.lazybastard.org/~arnd/dtc-0-1.20070329git.src.rpm from the start, 
which is the one that matches the spec file.

The version number changed to have the snapshot date in the release, not the 
version according to the packaging guidelines, and the group is now 
Development/Tools.

Comment 4 Arnd Bergmann 2007-03-30 21:40:38 UTC
New Package CVS Request
=======================
Package Name: dtc
Short Description: Device Tree Compiler
Owners: arnd@arndb.de
Branches: FC-7
InitialCC: 

Comment 5 Thorsten Leemhuis 2007-03-31 07:16:20 UTC
Setting flags properly:

fedora-review + (dwmw2 approved it and I took another look and approve it
hereby, too; I sponsored arnd)

fedora-cvs ?, for cvs request in comment #4

Comment 6 Josh Boyer 2007-06-29 21:05:21 UTC
So it seems I missed this review and submitted my own package.  Arnd, do you
want to maintain dtc in Fedora?  It seems you never imported the package.  If
not, I'll take it.

Comment 7 Josh Boyer 2007-07-03 13:11:10 UTC
Arnd and I discussed dtc maintainership this morning.  We're going to
co-maintain it.  Time for another cvs request:

Package Change Request
======================
Package Name: foobar
Updated Fedora Owners: arnd@arndb.de, jwboyer@jdub.homelinux.org

Comment 8 Josh Boyer 2007-07-10 01:59:43 UTC
*** Bug 246186 has been marked as a duplicate of this bug. ***

Comment 9 Peter Lemenkov 2008-01-22 13:11:01 UTC
Don't forget to close Review Request tickets.

Comment 10 Paolo Bonzini 2012-12-19 07:57:39 UTC
Package Change Request
======================
Package Name: dtc
New Branches: el6
Owners: bonzini

Comment 11 Gwyn Ciesla 2012-12-19 12:18:59 UTC
Are the existing maintainers OK with you owning the EL-6 branch?

Comment 12 Josh Boyer 2012-12-19 13:24:57 UTC
(In reply to comment #11)
> Are the existing maintainers OK with you owning the EL-6 branch?

Yeah, we don't care.  Though I have no idea why dtc would be wanted in EL6.

Comment 13 Paolo Bonzini 2012-12-19 15:33:45 UTC
libfdt is a prerequisite for QEMU.  Having libfdt-devel in EL6 makes it easier to develop upstream QEMU under RHEL6.

Comment 14 Paolo Bonzini 2013-01-10 11:44:04 UTC
Ping?

Comment 15 Gwyn Ciesla 2013-01-10 12:53:23 UTC
Re-setting the cvs flag.

Comment 16 Gwyn Ciesla 2013-01-10 12:56:00 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.